Package com.avaya.clientservices.credentials

## Enum AuthenticationMethod

- java.lang.Object
- - java.lang.Enum<AuthenticationMethod>
  - - com.avaya.clientservices.credentials.AuthenticationMethod

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AuthenticationMethod>`

      public enum AuthenticationMethod
      extends java.lang.Enum<AuthenticationMethod>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BASIC_DIGEST` | Basic or Digest authentication, if server proposes both versions Digest is preferred.
    `BEARER` | Bearer token authentication.
    `NEGOTIATE` | Client SDK will use system calls to authenticate user using Integrated Windows Authentication With this authentication methods process will be performed without interaction with credential provider.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AuthenticationMethod` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AuthenticationMethod[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BASIC_DIGEST

          public static final AuthenticationMethod BASIC_DIGEST

      Basic or Digest authentication, if server proposes both versions Digest is preferred. If this authentication method is used credential provider is requested to deliver user name and password (optionally in ha1 form).

    - #### NEGOTIATE

          public static final AuthenticationMethod NEGOTIATE

      Client SDK will use system calls to authenticate user using Integrated Windows Authentication With this authentication methods process will be performed without interaction with credential provider. Only applicable for Windows platform.

    - #### BEARER

          public static final AuthenticationMethod BEARER

      Bearer token authentication. If this authentication method is used, credential provider is requested to deliver auth token with the time of token expiry.

  - ### Method Detail

    - #### values

          public static AuthenticationMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthenticationMethod c : AuthenticationMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthenticationMethod valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null